=== debian/changelog ===
munin (2.999.16-1) experimental; urgency=medium

  [ Holger Levsen ]
  * New upstream release.
  * Bump standards version to 4.6.0, no changes needed.

  [ lintian-brush ]
  * Use secure URI in Homepage field.
  * Remove 29 obsolete maintscript entries in 25 files.

 -- Holger Levsen <holger@debian.org>  Thu, 10 Feb 2022 01:24:56 +0100

munin (2.999.15-3) experimental; urgency=medium

  [ Lars Kruse ]
  * Fix debugging output of local network configuration during build.

 -- Holger Levsen <holger@debian.org>  Thu, 01 Oct 2020 00:18:27 +0200

munin (2.999.15-2) experimental; urgency=medium

  [ Lars Kruse ]
  * Show local network configuration during build (for debugging purposes).
  * Add build dependency libhttp-server-simple-cgi-prefork-perl.
  * Move obsolete fields Contact and Name from debian/upstream/metadata to
    their new location in debian/copyright.

 -- Holger Levsen <holger@debian.org>  Tue, 29 Sep 2020 17:01:07 +0200

munin (2.999.15-1) experimental; urgency=medium

  * New upstream release.
    - update debian/patches/disable-munin-limits.patch.
    - munin-node: add /usr/bin/munin-get, which is a simple tool for managing
      plugins from remote repositories. Not yet ship its manpage.
    - add build-dependency on libdevel-confess-perl and drop the python one.
      Closes: #968023
    - munin-node and munin-run manpages have moved from section 1 to 8, adjust
      d/munin-node.manpages and d/munin-node.service accordingly.
  * Bump debhelper-compat to 13. Adjust d/rules override_dh_installdocs to use
    use --remaining-packages.
  * Bump standards version to 4.5.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Sep 2020 14:23:53 +0200

munin (2.999.14-1) experimental; urgency=medium

  * New upstream release.
  * Re-export upstream signing key without extra signatures.
    (thanks, lintian-brush)
  * Add lintian override for uses-dpkg-database-directly of a plugin
    in munin-plugins-core.  (thanks, lintian)
  * Change Vcs-Git to canonical URL (adding trailing ".git").
    (thanks, lintian)
  * Replace "dpkg-parsechangelog" call in d/rules with SOURCE_DATE_EPOCH.
    (thanks, lintian)

  [ Holger Levsen ]
  * Bump debhelper-compat to 12.

 -- Holger Levsen <holger@debian.org>  Thu, 01 Aug 2019 16:48:33 -0300

munin (2.999.13-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards version to 4.4.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Fri, 12 Jul 2019 19:38:08 +0200

munin (2.999.12-1) experimental; urgency=medium

  [ Holger Levsen ]
  * New upstream release.

  [ Lars Kruse ]
  * Add 'Webservice' field to upstream metadata.

 -- Holger Levsen <holger@debian.org>  Sat, 15 Jun 2019 13:24:55 +0200

munin (2.999.11-1) experimental; urgency=medium

  * New upstream version, drop debian/patches/manpage-master-limitsold and
    debian/patches/Makefile.javaplugin-INSTALL-variable.patch.
  * Add netbase to munin's and munin-node's depends.
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 24 Jan 2019 13:37:23 +0100

munin (2.999.10-1) experimental; urgency=medium

  [ Lars Kruse ]
  * New upstream beta release (2.999.10), Closes: #860899

 -- Holger Levsen <holger@debian.org>  Wed, 12 Dec 2018 09:39:23 +0100

munin (2.999.9-3) experimental; urgency=medium

  [ Lars Kruse ]
  * Convert old doc directory for munin-plugins-java to symlink.
    Closes: #915020 Thanks to Andreas Beckmann for filing these bugs.

 -- Holger Levsen <holger@debian.org>  Fri, 30 Nov 2018 12:56:45 +0100

munin (2.999.9-2) experimental; urgency=medium

  [ Lars Kruse ]
  * Integrate tests from unstable packaging.

  [ Holger Levsen ]
  * Use the new debhelper-compat(=11) notation and drop d/compat.

 -- Holger Levsen <holger@debian.org>  Thu, 15 Nov 2018 11:54:10 +0100

munin (2.999.9-1) experimental; urgency=medium

  [ Lars Kruse ]
  * New upstream beta release (2.999.9)
  * munin and munin-node: use separate maintscript files
  * convert old doc directories (before "link-doc") to symlinks
    (Closes: #881713)
  * Add missing package "munin-plugins-java".
    (it was provided by the munin 2.0 package before)
  * d/rules: use $(MAKE) instead of "make"
  * autopkgtest: update embedded "sharness" from 0.3 to 1.0
    (Thanks to Christian Göttsche:
     https://github.com/munin-monitoring/munin/issues/844)
  * autopkgtest: adjust paths and calling parameters
  * d/tests: use "set -eu" in test scripts
    (Thanks, Christian Göttsche)
  * Replace embedded copy of "sharness" with test dependency
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Specify "Rules-Requires-Root" as "no"
  * Fix trivial spelling mistakes below debian/ (thanks "codespell")
  * Fix minor whitespace inconsistencies in NEWS and README files
  * Skip munin init script in systemd environment (the created
    directories are generated via systemd-tmpfiles)
  * Plugins mysql_*: switch "mysqluser" from "debian-sys-maint" to "root"
    (Closes: #862238, #864845)
  * Patch for Makefile: set INSTALL if necessary
  * Fix issues related to "Rules-Requires-Root"
  * Patch for upstream problem in LimitsOld.pm
  * Change copyright file to DEP-5 format (thanks, lintian)
  * Patch configuration handling for "munin-limits"
  * Revive /etc/munin/plugin-conf.d/munin-node
    (it is missing since commit 11f5659344 - uploaded as 2.999.3-1)
  * Add Depends for libcache-cache-perl to munin-plugins-mysql
    (Thanks, Christian Göttsche)
  * Add Recommends for libnet-ldap-perl to munin-plugins-ldap
    (Thanks, Christian Göttsche)
  * Add multiple Suggests for munin-plugins-extra
  * Set "PrivateDevices=false" for "munin-node" service in order to
    allow plugins like "smart_" to access devices
    (Thanks, Christian Göttsche)
  * Add debian/upstream/metadata
  * Use dpkg/pkg-info.mk for DEB_VERSION_UPSTREAM instead of
    dpkg-parsechangelog (Thanks, lintian)
  * Remove unused lintian override for missing source of javascript file

