=== debian/watch ===
version=3
opts=pgpsigurlmangle=s{$}{.asc} \
http://downloads.munin-monitoring.org/munin/dev/([\d\.]+)/munin-([\d\.]+).tar.gz
